import { Address } from './address.type';
import { BasicREntity } from '../basicR.type';
import { Permission } from './permission.type';
import { UserFarmer } from '../visit/userFarmer.type';
import { UserConsultant } from '../visit/userConsultant.type';
export declare class User extends BasicREntity {
    name: string;
    email: string;
    linkPhoto?: string;
    phones?: string;
    address?: Address;
    relog: boolean;
    tutorial: boolean;
    password: string;
    userFarmer?: UserFarmer[];
    userConsultant?: UserConsultant[];
    permissions?: Permission[];
}
