"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var class_validator_1 = require("class-validator");
var typeorm_1 = require("typeorm");
var basicR_type_1 = require("../basicR.type");
var installment_type_1 = require("./installment.type");
var revenue_type_1 = require("./revenue.type");
var Loan = /** @class */ (function (_super) {
    __extends(Loan, _super);
    function Loan() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    __decorate([
        class_validator_1.IsDate(),
        class_validator_1.IsNotEmpty(),
        typeorm_1.Column({ nullable: false }),
        __metadata("design:type", Date)
    ], Loan.prototype, "date", void 0);
    __decorate([
        class_validator_1.IsNumber(),
        class_validator_1.IsNotEmpty(),
        typeorm_1.Column({ nullable: false }),
        __metadata("design:type", Number)
    ], Loan.prototype, "value", void 0);
    __decorate([
        class_validator_1.IsOptional(),
        typeorm_1.OneToMany(function (type) { return installment_type_1.Installment; }, function (installment) { return installment.loan; }, { nullable: true }),
        __metadata("design:type", Array)
    ], Loan.prototype, "installments", void 0);
    __decorate([
        class_validator_1.IsNotEmpty(),
        typeorm_1.ManyToOne(function (type) { return revenue_type_1.Revenue; }, function (revenue) { return revenue.loans; }, { nullable: false }),
        __metadata("design:type", revenue_type_1.Revenue)
    ], Loan.prototype, "revenue", void 0);
    Loan = __decorate([
        typeorm_1.Entity()
    ], Loan);
    return Loan;
}(basicR_type_1.BasicREntity));
exports.Loan = Loan;
//# sourceMappingURL=loan.type.js.map