import { DairyCompany } from './dairyCompany.type';
import { BasicREntity } from '../basicR.type';
import { Farm } from './farm.type';
import { Contract } from './contract.type';
import { Visit } from './visit.type';
export declare enum TypeAgreement {
    TYPE_1 = 1,
    TYPE_2 = 2
}
export declare class Agreement extends BasicREntity {
    endDate: Date;
    initialDate: Date;
    acquiredMonthlyVisits?: number;
    dairyCompany?: DairyCompany;
    farm: Farm;
    visits?: Visit[];
    contract?: Contract;
}
