import { ValidationError } from 'class-validator';
export default class BusinessException extends Error {
    __proto__: Error;
    constructor(message?: string);
    static GENERAL: {
        NULL_VALUE: string;
    };
    static AUTH: {
        INVALID_USERNAME: string;
        INVALID_PASSWORD: string;
    };
    static CONTRACT: {
        DATEBIGGER: string;
    };
    static DAIRY: {};
    static FARM: {
        FARM_NOT_FOUND: string;
    };
    toJson(): ValidationError[];
}
