"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var BusinessException = /** @class */ (function (_super) {
    __extends(BusinessException, _super);
    function BusinessException(message) {
        var _newTarget = this.constructor;
        var _this = this;
        var trueProto = _newTarget.prototype;
        _this = _super.call(this, message) || this;
        _this.__proto__ = trueProto;
        return _this;
    }
    BusinessException.prototype.toJson = function () {
        return [{
                constraints: {
                    code: this.message
                },
                property: '',
                children: []
            }];
    };
    BusinessException.GENERAL = {
        NULL_VALUE: "GENERAL_NULL_VALUE"
    };
    BusinessException.AUTH = {
        INVALID_USERNAME: "AUTH_INVALID_USERNAME",
        INVALID_PASSWORD: "AUTH_INVALID_PASSWORD"
    };
    BusinessException.CONTRACT = {
        DATEBIGGER: "CONTRACT_DATEBIGGER"
    };
    BusinessException.DAIRY = {};
    BusinessException.FARM = {
        FARM_NOT_FOUND: "FARM_NOT_FOUND"
    };
    return BusinessException;
}(Error));
exports.default = BusinessException;
//# sourceMappingURL=business.exception.js.map