const chai = require('chai');
const chaiHttp = require('chai-http');
chai.use(chaiHttp);

export class TestUtils {
    public static async getAll(url, path, token) {
        try {
            const { err, res } = await chai.request(url).get(`/${path}`).set('Authorization', token);
            if (err) {
                console.error(err);
            }
            const resp = res.body ? res.body : JSON.parse(res.text);
            return resp;
        } catch (err) {
            console.error(err);
            return [];
        }
    }
}