"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var typeorm_1 = require("typeorm");
var basicR_type_1 = require("../basicR.type");
var class_validator_1 = require("class-validator");
var farm_type_1 = require("../visit/farm.type");
var ExpenseCategory;
(function (ExpenseCategory) {
    ExpenseCategory[ExpenseCategory["OTHER"] = 0] = "OTHER";
    ExpenseCategory[ExpenseCategory["HIRED_WORKER"] = 1] = "HIRED_WORKER";
    ExpenseCategory[ExpenseCategory["CONCENTRATED"] = 2] = "CONCENTRATED";
    ExpenseCategory[ExpenseCategory["NUCLEI_AND_MINERALS"] = 3] = "NUCLEI_AND_MINERALS";
    ExpenseCategory[ExpenseCategory["LOAN_PAYMENT"] = 4] = "LOAN_PAYMENT";
    // Ordem de produção - Milho Rehidratado
    // Ordem de produção - Silagem de Milho (Volumoso)
    // Ordem de produção - Manutenção de Pastagem (Volumoso)
})(ExpenseCategory = exports.ExpenseCategory || (exports.ExpenseCategory = {}));
var Expense = /** @class */ (function (_super) {
    __extends(Expense, _super);
    function Expense() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    __decorate([
        class_validator_1.IsDate(),
        class_validator_1.IsNotEmpty(),
        typeorm_1.Column({ nullable: false }),
        __metadata("design:type", Date)
    ], Expense.prototype, "date", void 0);
    __decorate([
        class_validator_1.IsNotEmpty(),
        typeorm_1.ManyToOne(function (type) { return farm_type_1.Farm; }, function (farm) { return farm.expenses; }, { nullable: true }),
        __metadata("design:type", farm_type_1.Farm)
    ], Expense.prototype, "farm", void 0);
    Expense = __decorate([
        typeorm_1.Entity()
    ], Expense);
    return Expense;
}(basicR_type_1.BasicREntity));
exports.Expense = Expense;
//# sourceMappingURL=expense.type.js.map