import { BasicREntity } from '../basicR.type';
import { DairyCompany } from './dairyCompany.type';
import { Agreement } from './agreement.type';
export declare enum TypeContract {
    TYPE_1 = 1,
    TYPE_2 = 2
}
export declare enum DayTime {
    MORNING = 1,
    EVENING = 2,
    NIGHT = 3
}
export declare class Contract extends BasicREntity {
    dairyCompany: DairyCompany;
    endDate?: Date;
    initialDate: Date;
    cancelReason?: string;
    dayTime?: DayTime;
    type: TypeContract;
    acquiredMonthlyVisits: number;
    agreements?: Agreement[];
}
