import { BasicREntity } from '../basicR.type';
import { Farm } from '../visit/farm.type';
import { AnimalEvent } from './animalEvent.type';
export declare enum RaceType {
    HOLSTEIN = 0,
    GIR = 1
}
export declare class Animal extends BasicREntity {
    earring?: string;
    status: number;
    name: string;
    nickname?: string;
    origin?: string;
    dateOfBirth: Date;
    numberOfChildBirths: number;
    sex: number;
    dateOfRemovalOfHorns: Date;
    dateOfWeaning: Date;
    dataAptitude: Date;
    dateOfDeath?: Date;
    reasonOfDeath?: string;
    rfid?: string;
    class: number;
    race: RaceType;
    reproductiveEvent?: AnimalEvent;
    farm?: Farm;
    mother?: Animal;
    biologicalMother?: Animal;
    biologicalFather?: Animal;
}
