"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var basicR_type_1 = require("../basicR.type");
var typeorm_1 = require("typeorm");
var animal_type_1 = require("./animal.type");
var class_validator_1 = require("class-validator");
var AssociationType;
(function (AssociationType) {
    AssociationType[AssociationType["HOSTEIN"] = 0] = "HOSTEIN";
    AssociationType[AssociationType["GIR"] = 1] = "GIR";
    AssociationType[AssociationType["GIROLANDO"] = 2] = "GIROLANDO";
})(AssociationType = exports.AssociationType || (exports.AssociationType = {}));
var AnimalAssociation = /** @class */ (function (_super) {
    __extends(AnimalAssociation, _super);
    function AnimalAssociation() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    __decorate([
        class_validator_1.IsNumber(),
        typeorm_1.Column({ nullable: false, type: 'int' }),
        __metadata("design:type", Number)
    ], AnimalAssociation.prototype, "association", void 0);
    __decorate([
        class_validator_1.IsNotEmpty(),
        typeorm_1.OneToOne(function (type) { return animal_type_1.Animal; }, { nullable: false }),
        typeorm_1.JoinColumn(),
        __metadata("design:type", animal_type_1.Animal)
    ], AnimalAssociation.prototype, "animal", void 0);
    __decorate([
        class_validator_1.IsNotEmpty(),
        class_validator_1.IsString(),
        typeorm_1.Column({ nullable: false }),
        __metadata("design:type", String)
    ], AnimalAssociation.prototype, "boton", void 0);
    __decorate([
        class_validator_1.IsOptional(),
        class_validator_1.IsString(),
        typeorm_1.Column({ nullable: true }),
        __metadata("design:type", String)
    ], AnimalAssociation.prototype, "registrationPendency", void 0);
    __decorate([
        class_validator_1.IsOptional(),
        class_validator_1.IsString(),
        typeorm_1.Column({ nullable: true }),
        __metadata("design:type", String)
    ], AnimalAssociation.prototype, "birthRegistration", void 0);
    __decorate([
        class_validator_1.IsOptional(),
        class_validator_1.IsString(),
        typeorm_1.Column({ nullable: true }),
        __metadata("design:type", String)
    ], AnimalAssociation.prototype, "originCDN", void 0);
    __decorate([
        class_validator_1.IsOptional(),
        class_validator_1.IsString(),
        typeorm_1.Column({ nullable: true }),
        __metadata("design:type", String)
    ], AnimalAssociation.prototype, "originCDC", void 0);
    __decorate([
        class_validator_1.IsOptional(),
        class_validator_1.IsString(),
        typeorm_1.Column({ nullable: true }),
        __metadata("design:type", String)
    ], AnimalAssociation.prototype, "definitiveRegistration", void 0);
    AnimalAssociation = __decorate([
        typeorm_1.Entity()
    ], AnimalAssociation);
    return AnimalAssociation;
}(basicR_type_1.BasicREntity));
exports.AnimalAssociation = AnimalAssociation;
//# sourceMappingURL=animalAssociation.type.js.map