import { BasicREntity } from '../basicR.type';
import { Animal } from './animal.type';
export declare enum ReproductiveEvent {
    IMPREGNATION = 0,
    OBSERVED_HEAT = 1,
    FOLICULAR_ASPIRATION = 2,
    EMBRIO_COLLECT = 3,
    EMBRIO_TRANSFER = 4,
    CONVENTIONAL_SEMEN = 5,
    SEXED_SEMEN = 6,
    IN_VITRO_FERTILIZATION = 7,
    REPRODUCTIVE_OCCURENCE = 8,
    EMBRIO_ABSORBTION = 9,
    ABORTION_WITHOUT_LACTATION = 10,
    MALE_BIRTH = 11,
    FEMALE_BIRTH = 12,
    MALE_MALE_BIRTH = 13,
    MALE_FEMALE_BIRTH = 14,
    FEMALE_FEMALE_BIRTH = 15,
    ABORTION_WITH_LACTATION = 16,
    STILLBIRTH = 17,
    POSITIVE_GESTATION_DIAGNOSIS = 18,
    NEGATIVE_GESTATION_DIAGNOSIS = 19,
    BIRTH_NOT_REGISTERED_IN_APP = 20
}
export declare class AnimalEvent extends BasicREntity {
    animal: Animal;
    reproductiveEvent: ReproductiveEvent;
    eventDate: Date;
    cicle: number;
    cicleClosure: boolean;
}
