import { BasicNREntity } from "../entities/basicNR.type";
export default abstract class BasicNRDAO<T extends BasicNREntity> {
    protected abstract getCollectionName(): string;
    protected abstract getMongoObjectId(id: string): any;
    all(database: any): Promise<Array<T>>;
    get(database: any, id: any): Promise<T>;
    static drop(database: any): Promise<void>;
    save(database: any, entity: T): Promise<number>;
    update(database: any, entity: T, id: any): Promise<void>;
    remove(database: any, id: any): Promise<void>;
}
