import { IsDefined, IsOptional } from 'class-validator';
import { IsMongoId } from 'class-validator';

export class BasicNREntity {
  @IsOptional()
  @IsMongoId()
  _id: any;
  
  @IsDefined()
  createDate: Date;
 
  @IsOptional()
  updateDate: Date;
}