import { ValidationError } from 'class-validator';
export default class BusinessException extends Error {
    __proto__: Error;
    constructor(message?: string) {
        const trueProto = new.target.prototype;
        super(message);
        this.__proto__ = trueProto;
    }

    public static GENERAL = {
        NULL_VALUE: "GENERAL_NULL_VALUE"
    }

    public static AUTH = {
        INVALID_USERNAME: "AUTH_INVALID_USERNAME",
        INVALID_PASSWORD: "AUTH_INVALID_PASSWORD"
    }

    public static CONTRACT = {
        DATEBIGGER: "CONTRACT_DATEBIGGER"
    }

    public static DAIRY = {
    }

    public static FARM = {
        FARM_NOT_FOUND: "FARM_NOT_FOUND"
    }

    public toJson() {
        return [<ValidationError> {
            constraints: {
              code: this.message
            },
            property: '',
            children: []
          }]
    }
}